## Apache Zeta Components Manual :: Docs For Class ezcDbHandlerMssql

### Database::ezcDbHandlerMssql

### Class ezcDbHandlerMssql

MS SQL Server driver implementation.

Source for this file: /Database/src/handlers/mssql.php

    PDO
       |
       --ezcDbHandler
          |
          --ezcDbHandlerMssql

Version: | //autogentag//

### Member Variables

public ezcDbMssqlOptions | `$options` Contains the options that are used to set up handler.

### Inherited Member Variables

From ezcDbHandler
protected | `ezcDbHandler::$identifierQuoteChars`
protected | `ezcDbHandler::$transactionErrorFlag`
protected | `ezcDbHandler::$transactionNestingLevel`

### Method Summary

public static string | `getName( )` Returns 'mssql'.
public ezcDbHandlerMssql | `__construct( $dbParams )` Constructs a handler object from the parameters $dbParams.
public bool | `beginTransaction( )` Begins a transaction.
public bool | `commit( )` Commits a transaction.
public ezcQueryExpressionMssql | `createExpression( )` Returns a new ezcQueryExpression derived object with SQL Server implementation specifics.
public ezcQuerySelectMssql | `createSelectQuery( )` Returns a new ezcQuerySelectMssql derived object with SQL Server implementation specifics.
public bool | `rollback( )` Rollback a transaction.
public void | `setOptions( $options )` Associates an option object with this handler and changes settings for opened connections.

### Inherited Methods

From ezcDbHandler
public ezcDbHandler | `ezcDbHandler::__construct()` Constructs a handler object.
public bool | `ezcDbHandler::beginTransaction()` Begins a transaction.
public bool | `ezcDbHandler::commit()` Commits a transaction.
public ezcQueryDelete | `ezcDbHandler::createDeleteQuery()` Returns a new ezcQueryDelete derived object for the correct database type.
public ezcQueryExpression | `ezcDbHandler::createExpression()` Returns a new ezcQueryExpression derived object for the correct database type.
public ezcQueryInsert | `ezcDbHandler::createInsertQuery()` Returns a new ezcQueryInsert derived object for the correct database type.
public ezcQuerySelect | `ezcDbHandler::createSelectQuery()` Returns a new ezcQuerySelect derived object for the correct database type.
public ezcQueryUpdate | `ezcDbHandler::createUpdateQuery()` Returns a new ezcQueryUpdate derived object for the correct database type.
public ezcDbUtilities | `ezcDbHandler::createUtilities()` Returns a new ezcUtilities derived object for the correct database type.
public string | `ezcDbHandler::quoteIdentifier()` Returns the quoted version of an identifier to be used in an SQL query.
public bool | `ezcDbHandler::rollback()` Rollback a transaction.

### Methods

#### getName

static string getName( )

Returns 'mssql'.

#### __construct

ezcDbHandlerMssql __construct( $dbParams )

Constructs a handler object from the parameters $dbParams.

Supported database parameters are:

- dbname|database: Database name
- host|hostspec: Name of the host database is running on
- port: TCP port
- user|username: Database user name
- pass|password: Database user password

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dbParams` | array | Database connection parameters (key=>value pairs).

##### Exceptions:

Type | Description
--- | ---
`ezcDbMissingParameterException` | if the database name was not specified.

##### Redefinition of:

Method | Description
--- | ---
`ezcDbHandler::__construct()` | Constructs a handler object.

#### beginTransaction

bool beginTransaction( )

Begins a transaction.

This method executes a begin transaction query unless a transaction has already been started (transaction nesting level > 0 ).

Each call to begin() must have a corresponding commit() or rollback() call.

##### Redefinition of:

Method | Description
--- | ---
`ezcDbHandler::beginTransaction()` | Begins a transaction.

#### commit

bool commit( )

Commits a transaction.

If this this call to commit corresponds to the outermost call to begin() and all queries within this transaction were successful, a commit query is executed. If one of the queries returned with an error, a rollback query is executed instead.

This method returns true if the transaction was successful. If the transaction failed and rollback was called, false is returned.

##### Redefinition of:

Method | Description
--- | ---
`ezcDbHandler::commit()` | Commits a transaction.

#### createExpression

ezcQueryExpressionMssql createExpression( )

Returns a new ezcQueryExpression derived object with SQL Server implementation specifics.

##### Redefinition of:

Method | Description
--- | ---
`ezcDbHandler::createExpression()` | Returns a new ezcQueryExpression derived object for the correct database type.

#### createSelectQuery

ezcQuerySelectMssql createSelectQuery( )

Returns a new ezcQuerySelectMssql derived object with SQL Server implementation specifics.

##### Redefinition of:

Method | Description
--- | ---
`ezcDbHandler::createSelectQuery()` | Returns a new ezcQuerySelect derived object for the correct database type.

#### rollback

bool rollback( )

Rollback a transaction.

If this this call to rollback corresponds to the outermost call to begin(), a rollback query is executed. If this is an inner transaction (nesting level > 1) the error flag is set, leaving the rollback to the outermost transaction.

This method always returns true.

##### Redefinition of:

Method | Description
--- | ---
`ezcDbHandler::rollback()` | Rollback a transaction.

#### setOptions

void setOptions( ezcDbMssqlOptions $options )

Associates an option object with this handler and changes settings for opened connections.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcDbMssqlOptions |

Documentation generated by phpDocumentor 1.4.3